#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    KDevAppFrontendIface.h KDevMakeFrontendIface.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/interfaces/extensions/dcop )


##### kdevdcopextensions (static) ###############

tde_add_library( kdevdcopextensions STATIC_PIC
  SOURCES
    KDevAppFrontendIface.cpp KDevMakeFrontendIface.cpp
    KDevAppFrontendIface.skel KDevMakeFrontendIface.skel
)
